/*
Copyright (C) 2001 Chr. Clemens Lee <clemens@kclee.com>.

This file is part of SimplEdit
(http://www.kclee.org/clemens/java/simpledit/).

SimplEdit is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

SimplEdit is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with SimplEdit; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

package com.kclee.simpledit;

import ccl.util.Util;

/**
 *
 *
 * @author Chr. Clemens Lee
 * @version $Header: /home/clemens/cvsroot/java/simpledit/src/com/kclee/simpledit/Main.java,v 1.2 2001/12/30 18:45:43 clemens Exp $
 */
public class Main {
    public Main() {
        super();
    }

    public static void main( String[] asArg_ ) {
        Util.debug( "com.kclee.simpledit.Main.main(..).ENTER" );
	ViewController pViewController = new ViewController
	       ( asArg_, "$Header: /home/clemens/cvsroot/java/simpledit/src/com/kclee/simpledit/Main.java,v 1.2 2001/12/30 18:45:43 clemens Exp $" );

        Util.debug( "com.kclee.simpledit.Main.main(..).Before start" );
	pViewController.start();
        Util.debug( "com.kclee.simpledit.Main.main(..).After start" );
        pViewController.dispose();

        Util.debug( "com.kclee.simpledit.Main.main(..).Before EXIT" );
	System.exit( 0 );
    }
}
